### Method

# EBackend Cache unlock

since: 3.26

#### Declaration [src]

    void
    e_cache_unlock (
      ECache* cache,
      ECacheUnlockAction action
    )

#### Description [src]

Unlocks the cache which was previouly locked with e_cache_lock(). The cache locked with #E_CACHE_LOCK_WRITE should use either `action` #E_CACHE_UNLOCK_COMMIT or #E_CACHE_UNLOCK_ROLLBACK, while the #E_CACHE_LOCK_READ should use #E_CACHE_UNLOCK_NONE `action`.

Available since: 3.26

#### Parameters

`action`

  Type: `ECacheUnlockAction`

  An `ECacheUnlockAction`.